﻿#!/usr/bin/perl -w

use strict;
use warnings;

my $infile = "infile.txt";

my @infileArray = ( );

open(FILE,"$infile") or die "Cannot find $infile.\n";
my @ins = <FILE>;
close FILE;

my ($ref_recs,$ref_names, $seqLength) = &phyReader(\@ins);
my @names = @$ref_names;
my %recs  = %$ref_recs;

foreach my $nameLine (@names){
  print "$nameLine\n";
  print "$recs{$nameLine}\n";
}

exit;
sub phyReader {
  my ($rec_infileArray) = @_;
  my @infileArray     = @$rec_infileArray;

  my $Num_species = "";
  my $Num_sites   = "";
  foreach my $line (@infileArray) {
    if($line =~ /^\d+\s\d+/){
      ($Num_species, $Num_sites) = split(/ /, $line);
    }
  } 
  
  my @nameArraySR = ();
  my $count = 0;
  foreach my $line (@infileArray) {
    if($line =~ /^\d+\s\d+/){
      next;
    } else {
      last if($line) =~ /^$/;
      $count++;
      last if $count > $Num_species;
  
      chomp($line);
      my $name = "";
      my $seqTMP = "";
      ($name,$seqTMP) = split(/\s+/,$line);
      push(@nameArraySR, $name);
      #print ">$name\n$seq\n";
    }
  } 
  
  my %fasHashSR  = ();
  foreach my $line (@infileArray) {
    if($line =~ /^\d+\s\d+/){
      next;
    } else {
      next if($line) =~ /^$/;
      chomp($line);
      my $name = "";
      my $seq  = "";
      ($name,$seq) = split(/\s+/,$line);
      $fasHashSR{$name} .= $seq;
      #print ">$name\n$seq\n";
    }
  } 
  
  return (\%fasHashSR,\@nameArraySR, $Num_sites);
}
